<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
     // Проверка на использование POST метода обращения к файлу

try {
    $dbh = new PDO("mysql:host=localhost;dbname=oc_database;charset=utf8", 'user', 'password');
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

//    Получение данных для обновления -----------------------------------------------
    $sku = htmlspecialchars($_POST["sku"]);
    $price = htmlspecialchars($_POST["price"]);
    $quantity = htmlspecialchars($_POST["quantity"]);

	
//  -------------------------------------
//    Обнуление остатков
//    $sql = "UPDATE `oc_product` SET `quantity` = '0';";
//    $sth = $dbh->PREPARE($sql, array(PDO::ATTR_CURSOR => PDO::CURSOR_FWDONLY));
//    $sth->EXECUTE();

//    Заполнение актуального наличия
    $sql = "UPDATE `oc_product` SET `quantity` = :quantity, `price` = :price WHERE `sku` = :sku;";

    $sth = $dbh->PREPARE($sql, array(PDO::ATTR_CURSOR => PDO::CURSOR_FWDONLY));
    $sth->bindValue(':quantity', (int)quantity, PDO::PARAM_INT);
    $sth->bindValue(':price', (float)$price, PDO::PARAM_INT);
    $sth->bindValue(':sku', $sku, PDO::PARAM_INT);
    $sth->EXECUTE();

    // Включение всех товаров
    //$sql = "UPDATE `oc_product` SET `status` = '1';";
    //$sth = $dbh->PREPARE($sql, array(PDO::ATTR_CURSOR => PDO::CURSOR_FWDONLY));
    //$sth->EXECUTE();

//    Отключение товаров с нулевым наличием
    //$sql = "UPDATE `oc_product` SET `status` = '0' WHERE `oc_product`.`quantity` = 0;";
    //$sth = $dbh->PREPARE($sql, array(PDO::ATTR_CURSOR => PDO::CURSOR_FWDONLY));
    //$sth->EXECUTE();

//    Закрытие подключения к базе данных
    $sth->closeCursor();


} catch (PDOException $e) {
    echo $e->getMessage();
    echo 'error';
}

}